
module Test::Unit::Assertions
  def assert_pdf(pdf, expected_argument)
    raise "expected argument must be a hash" unless expected_argument.is_a?(Hash)
    expected = expected_argument[:contains]
    expected = [expected] if expected && expected.is_a?(String)
    not_expected = expected_argument[:does_not_contain]

    raise "missing expected text" unless expected or not_expected

    assert File.exist?(pdf), "file '#{pdf}' not found"

    text = `pdftotext #{pdf} -`

    expected.each do |expected_text|
      assert_match %r{#{expected_text}}, text, "pdf does not contain '#{expected_text}'"
    end if expected

    assert_no_match %r{#{not_expected}}, text, "pdf does contains '#{not_expected}'" if not_expected
  end
end
